Gutsy beta hang soon after boot

Bug #144030 reported by Sam Liddicott on 2007-09-22
26
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
acpi
Invalid
Undecided
Unassigned
acpi (Ubuntu)
Undecided
Unassigned
linux (Ubuntu)
Unknown
Unassigned
linux-source-2.6.22 (Ubuntu)
High
Unassigned

Bug Description

Today I upgraded fesity to gutsy beta, and very soon after boot (shortly after init starts) the whole thing hangs.

Same problem when booting off a live CD (daily 22nd September)

I'm on an acer Aspire 9301AWSMi

The gutsy upgrade boots fine if I load from the previous feisty kernel, but hangs withing seconds of running init on the gutsy kernel

Sam Liddicott (sam-liddicott) wrote :

/proc/cpu attached

lspci -vn attached

output of dmidecode attached

With boot set to init=/bin/bash it hangs within 5-30 seconds of a bash prompt.

dmesg -n 8
doesn't cause anything interesting to be logged

alt-sysreq -anything does nothing

before it hangs, say while running top, top doesn't run evenly - pressing space under top doesn't always refresh the screen right away.
Holding space down updates rapidly but pausing for maybe 1/10th second each second.

I can confirm that alt-sysreq-??? works before the hang but not after.
Also, that the hang may occur before bash (as in init=/bin/bash) loads.

I'll start stripping out the ram disk now and see if it's anything there

Download full text (3.2 KiB)

If I get rid do:
mv /lib/modules/2.6.22-12-generic /lib/modules/2.6.22-12-generic.o

and then I use boot command

break=bottom

and then at the ramdisk prompt do:

rmmod thermal fan processor ide-cd cdrom

then I find I boot up generally OK, no hanging, no mouse driver, but I do get this:

Sep 29 16:07:04 aces kernel: [ 39.636000] BUG: unable to handle kernel paging request at virtual address f084fbe4
Sep 29 16:07:04 aces kernel: [ 39.636000] printing eip:
Sep 29 16:07:04 aces kernel: [ 39.636000] c01fe46e
Sep 29 16:07:04 aces kernel: [ 39.636000] *pde = 2ff0d067
Sep 29 16:07:04 aces kernel: [ 39.636000] *pte = 00000000
Sep 29 16:07:04 aces kernel: [ 39.636000] Oops: 0000 [#1]
Sep 29 16:07:04 aces kernel: [ 39.636000] SMP
Sep 29 16:07:04 aces kernel: [ 39.636000] Modules linked in: ext3 jbd mbcache sg sd_mod ide_cd cdrom ata_generic forcedeth sata_nv libata scsi_mod amd74xx ide_core ehci_hcd oh
ci_hcd usbcore fuse apparmor commoncap
Sep 29 16:07:04 aces kernel: [ 39.636000] CPU: 0
Sep 29 16:07:04 aces kernel: [ 39.636000] EIP: 0060:[vsnprintf+1070/1584] Not tainted VLI
Sep 29 16:07:04 aces kernel: [ 39.636000] EFLAGS: 00010297 (2.6.22-12-generic #1)
Sep 29 16:07:04 aces kernel: [ 39.636000] EIP is at vsnprintf+0x42e/0x630
Sep 29 16:07:04 aces kernel: [ 39.636000] eax: f084fbe4 ebx: ef66f1e7 ecx: f084fbe4 edx: fffffffe
Sep 29 16:07:04 aces kernel: [ 39.636000] esi: c0376400 edi: f084fbe4 ebp: ef670000 esp: ef839ea0
Sep 29 16:07:04 aces kernel: [ 39.636000] ds: 007b es: 007b fs: 00d8 gs: 0033 ss: 0068
Sep 29 16:07:04 aces kernel: [ 39.636000] Process grep (pid: 4341, ti=ef838000 task=df9fd4c0 task.ti=ef838000)
Sep 29 16:07:04 aces kernel: [ 39.636000] Stack: 00001015 00000000 00000010 00000004 ffffffff 00000001 c037641a 00000e27
Sep 29 16:07:04 aces kernel: [ 39.636000] ef66f1d9 00000000 ffffffff ffffffff ffffffff ffffffff c0376420 ef66f1d9
Sep 29 16:07:04 aces kernel: [ 39.636000] ef520100 ef520100 000001d9 c019adce ef839f30 ef839f0c c03b38f8 ee80c660
Sep 29 16:07:04 aces kernel: [ 39.636000] Call Trace:
Sep 29 16:07:04 aces kernel: [ 39.636000] [seq_printf+46/96] seq_printf+0x2e/0x60
Sep 29 16:07:04 aces kernel: [ 39.636000] [r_show+125/144] r_show+0x7d/0x90
Sep 29 16:07:04 aces kernel: [ 39.636000] [seq_read+470/672] seq_read+0x1d6/0x2a0
Sep 29 16:07:04 aces kernel: [ 39.636000] [vfs_read+188/352] vfs_read+0xbc/0x160
Sep 29 16:07:04 aces kernel: [ 39.636000] [seq_read+0/672] seq_read+0x0/0x2a0
Sep 29 16:07:04 aces kernel: [ 39.636000] [sys_read+65/112] sys_read+0x41/0x70
Sep 29 16:07:04 aces kernel: [ 39.636000] [sysenter_past_esp+107/169] sysenter_past_esp+0x6b/0xa9
Sep 29 16:07:04 aces kernel: [ 39.636000] =======================
Sep 29 16:07:04 aces kernel: [ 39.636000] Code: fd ff ff c6 03 25 e9 39 fd ff ff 8d 47 04 89 44 24 50 8b 3f 81 ff ff 0f 00 00 77 05 bf d4 33 38 c0 8b 54 24 2c 89 f9 89 c8 eb 06 <80> 38 00 74 07 40 4a 83 fa ff 75 f4 29 c8 89 c6 8b 44 24 28 f6
Sep 29 16:07:04 aces kernel: [ 39.636000] EIP: [vsnprintf+1070/1584] vsnprintf+0x42e/0x630 SS:ESP 0068:ef839ea0

If I then modprobe thermal, all hangs again but...

Read more...

So I boot with "noacpi" which stops the thermal, processor and fan modules being loaded by the inirtd.,but I ALSO have to move kernel/drivers/acpi right out of /lib/modules/`name -r`

If I do that, then all is fine, otherwise I crash within less than a minute of booting.

I've tried leaving in the acpi directory and adding fan, thermal and processor to /etc/modules.d/blacklist but that is not enough

So, the current state is that "it's sort of working for me", I'll try and spend time time in next week to pin this down even further.

Could you add the output of "lspci -vnn" ? I seem to run into similar problems with my Compaq Presario V3417LA, see bug #149573

Download full text (9.0 KiB)

I notice a lot of acpi regressions in LKML

sam@aces:~$ lspci -vnn
00:00.0 RAM memory [0500]: nVidia Corporation C51 Host Bridge
[10de:02f3] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: bus master, 66MHz, fast devsel, latency 0
        Capabilities: <access denied>

00:00.1 RAM memory [0500]: nVidia Corporation C51 Memory Controller 0
[10de:02fa] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: 66MHz, fast devsel

00:00.2 RAM memory [0500]: nVidia Corporation C51 Memory Controller 1
[10de:02fe] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: 66MHz, fast devsel

00:00.3 RAM memory [0500]: nVidia Corporation C51 Memory Controller 5
[10de:02f8] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: 66MHz, fast devsel

00:00.4 RAM memory [0500]: nVidia Corporation C51 Memory Controller 4
[10de:02f9] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: bus master, 66MHz, fast devsel, latency 0

00:00.5 RAM memory [0500]: nVidia Corporation C51 Host Bridge
[10de:02ff] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: bus master, 66MHz, fast devsel, latency 0
        Capabilities: <access denied>

00:00.6 RAM memory [0500]: nVidia Corporation C51 Memory Controller 3
[10de:027f] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: 66MHz, fast devsel

00:00.7 RAM memory [0500]: nVidia Corporation C51 Memory Controller 2
[10de:027e] (rev a2)
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: 66MHz, fast devsel

00:02.0 PCI bridge [0604]: nVidia Corporation C51 PCI Express Bridge
[10de:02fc] (rev a1) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        Capabilities: <access denied>

00:03.0 PCI bridge [0604]: nVidia Corporation C51 PCI Express Bridge
[10de:02fd] (rev a1) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
        I/O behind bridge: 00004000-00004fff
        Memory behind bridge: c4000000-c40fffff
        Capabilities: <access denied>

00:04.0 PCI bridge [0604]: nVidia Corporation C51 PCI Express Bridge
[10de:02fb] (rev a1) (prog-if 00 [Normal decode])
        Flags: bus master, fast devsel, latency 0
        Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
        Capabilities: <access denied>

00:05.0 VGA compatible controller [0300]: nVidia Corporation MCP51 PCI-X
GeForce Go 6100 [10de:0247] (rev a2) (prog-if 00 [VGA])
        Subsystem: Acer Incorporated [ALI] Unknown device [1025:0112]
        Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
        Memory at c2000000 (32-bit, non-prefetchable) [size=16M]
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at c1000000 (64-bit, non-prefetchable) [size=16M]
        [virtual] Expansion ROM at 54000000 [disabled] [...

Read more...

Sam Liddicott (sam-liddicott) wrote :

I'm puzzled why this release blocker is getting no attention. I guess it was filed wrong.

with kernel Linux aces 2.6.22-14-generic #1 SMP Wed Oct 10 06:00:47 GMT 2007 i686 GNU/Linux

I don't need noacpi in the boot options but I still need to rename away the kernel/drivers/acpi modules directory, otherwise my laptop still jams up.

On boot, I get this message on the console before the frame buffer progress screen starts:

PCI: BIOS BUG #81[49435000]

Sam Liddicott (sam-liddicott) wrote :

Darren, I admit I'm being very arrogant assigning this to you, please don't beat me.

I've already fixed the symtoms for me by removing the acpi modules, I'm just trying to get someone to look at rate this bug on behalf of the other poor souls who are about to upgrade/install gutsy only to find that their machine is bricked (or bricked within their level of competence).

Personally I don't care if you assign it back to no-one, i won't argue, I'm just trying to get someone to asses it, and this is my last attempt, although I'm happy to help debug with whoever looks at it.

Changed in linux-source-2.6.22:
assignee: nobody → darren-linuxsource
Sam Liddicott (sam-liddicott) wrote :

Well it may be this bug: http://bugzilla.kernel.org/show_bug.cgi?id=7598
But processor.ko is certainly the trigger point, it also occurs in a fresh 2.6.23 kernel.org.source

Sam

Following the hint on the url I posted I tried a -386 kernel as I have a UP machine, but the same problem

Changed in linux-source-2.6.22:
assignee: darren-linuxsource → ubuntu-kernel-team
importance: Undecided → High
status: New → Triaged
xdevent (jdomenechbborges) wrote :

I've got the same problem in the same computer as you, Sam. Did you fix it?

No.
That is to say, if I prevent processor.ko from loading, all is well but that means no cpu scaling, etc.

I'm about to test adding processor.ko to the module blacklist (wherever that is) which will stop me having to remove processor.ko each time the kernel is updated.

Sam

-----Original Message-----
From: "xdevent" <email address hidden>
To: <email address hidden>
Sent: 23/10/07 21:36
Subject: [Bug 144030] Re: Gutsy beta hang soon after boot

I've got the same problem in the same computer as you, Sam. Did you fix
it?

--
Gutsy beta hang soon after boot
https://bugs.launchpad.net/bugs/144030
You received this bug notification because you are a direct subscriber
of the bug.

Sam Liddicott (sam-liddicott) wrote :

A user reported to me:
"i'm able to load the kernel and use it normally, removing processor.ko and copying the old acpi modules to the new kernel"

Maybe that helps.

Aaron McDonald (mcdonaa) wrote :

I have exactly the same laptop, and also get this. Unfortunately I only found your bug report after I had done an online upgrade to Gutsy - and thus 'bricking' my laptop. :(

See https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/174114

Like you found, dropping to the older kernal fixes the boot problem, but I then seemed to have a load of other problems (GFX/sound drivers not working). Feisty worked fine on first install with no problems, that why I was so disappointed with Gutsy. I've had to revert to *cough* Win XP for the time being...

Sam Liddicott (sam-liddicott) wrote :

If you still have gutsy installed, append

init=/bin/bash

to the kernel boot entry (and change the ro to rw)
and then when it boots

mv /lib/modules/`uname -r`/kernel/drivers/acpi /lib/modules/acip.`uname -r`
sync
reboot

and that should sort it for the time being. You may have to do that at
each kernel update.

Would you consider adding to the bounty at:

http://www.liddicott.com/~sam/?p=76#comments

to get the webcam working on linux?

Sam

xdevent (jdomenechbborges) wrote :

I've boot Hardy Heron alpha 2 in the cd with no problem. Maybe it works know.

Please, try it in your PCs and explain here how it worked.

I'll try now to upgrade my gutsy to hardy. I'll say here if it works or not.

xdevent (jdomenechbborges) wrote :

I've already make a fresh install of hardy heron alpha 2, and everything works properly. I had a little problem withe Synaptics Touchpad, but i solved it copying a little part of code from my old xorg.conf

Sam Liddicott (sam-liddicott) wrote :

Live Hardy CD works for me, thanks for the tip.

I'll try installing the hardy kernel and modules on gutsy and report back.

Sam

-----Original Message-----
From: xdevent <email address hidden>
Sent: 02 January 2008 23:29
To: <email address hidden>
Subject: [Bug 144030] Re: Gutsy beta hang soon after boot

I've already make a fresh install of hardy heron alpha 2, and everything
works properly. I had a little problem withe Synaptics Touchpad, but i
solved it copying a little part of code from my old xorg.conf

--
Gutsy beta hang soon after boot
https://bugs.launchpad.net/bugs/144030
You received this bug notification because you are a direct subscriber
of the bug.

Len Brown (len-brown) wrote :

If you want this fixed,
please reply to the request for information in the upstream bug report:
http://bugzilla.kernel.org/show_bug.cgi?id=7598

xdevent (jdomenechbborges) wrote :

Hey, the problem reappears on Hardy, but very, very after of the loading section. The entire PC hangs with no advise. I investigate if it's the RAM or the CPU, but they seem to work well, at good percentetges before it hangs.

Probably we don't have fixed the problem, only we made it change its appearance later.

Paul Dufresne (paulduf) on 2008-01-09
Changed in linux:
status: New → Incomplete
Sam Liddicott (sam-liddicott) wrote :

Len Brown wrote:
> If you want this fixed,
> please reply to the request for information in the upstream bug report:
> http://bugzilla.kernel.org/show_bug.cgi?id=7598
>
>
Thanks for the tip; doing so now.

I didn't see/get responses from the upstream report, so thanks for
pointing it out.

Sam

Sam Liddicott (sam-liddicott) wrote :

Paul Dufresne wrote:
> ** Also affects: linux (Ubuntu)
> Importance: Undecided
> Status: New
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
>
What is incomplete about this? What more information do you need?

Changed in linux:
status: New → Unknown

Hi Sam,

I set up the upstream kernel bugzilla bug watch for #7598. You should now get updates regarding the upstream bugzilla bug report as well. However, you made a comment that you were able to successfully boot from the Hardy LiveCD? So it would seem that this issue is resolved for the newer kernel. Did you get around to test from an actual install? Thanks.

Changed in linux:
importance: Undecided → Unknown
Paul Dufresne (paulduf) wrote :

>> ** Changed in: linux (Ubuntu)
>> Status: New => Incomplete
>>
>What is incomplete about this? What more information do you need?
well, following xdevent's last comment
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/144030/comments/25
made me choose to not mark it fix on linux (Hardy).

But I tend to think that it must be an other bug, moreover if it work for others than xdevent.
So I am mostly waiting a confirmation from you Sam that it does still work for you on Hardy latest version.
BTW, Alpha 3 CD should get out today or tomorrow at:
http://cdimage.ubuntu.com/releases/hardy/ with some info at:
http://www.ubuntu.com/testing/

Sam Liddicott (sam-liddicott) wrote :

Thanks Leann

The guy who said to try hardy since reported it does hang but takes longer.
I hoe to install hardy this weekend.

Sam

-----Original Message-----
From: Leann Ogasawara <email address hidden>
Sent: 09 January 2008 21:59
To: <email address hidden>
Subject: [Bug 144030] Re: Gutsy beta hang soon after boot

Hi Sam,

I set up the upstream kernel bugzilla bug watch for #7598. You should
now get updates regarding the upstream bugzilla bug report as well.
However, you made a comment that you were able to successfully boot from
the Hardy LiveCD? So it would seem that this issue is resolved for the
newer kernel. Did you get around to test from an actual install?
Thanks.

** Changed in: linux (Ubuntu)
   Importance: Undecided => Unknown

--
Gutsy beta hang soon after boot
https://bugs.launchpad.net/bugs/144030
You received this bug notification because you are a direct subscriber
of the bug.

Sam Liddicott (sam-liddicott) wrote :

Thanks.

I'll get to try hardy this weekend.

I posted more details on the upstream bug.

Sam

-----Original Message-----
From: Paul Dufresne <email address hidden>
Sent: 10 January 2008 06:36
To: <email address hidden>
Subject: [Bug 144030] Re: Gutsy beta hang soon after boot

>> ** Changed in: linux (Ubuntu)
>> Status: New => Incomplete
>>
>What is incomplete about this? What more information do you need?
well, following xdevent's last comment
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/144030/comments/25
made me choose to not mark it fix on linux (Hardy).

But I tend to think that it must be an other bug, moreover if it work for others than xdevent.
So I am mostly waiting a confirmation from you Sam that it does still work for you on Hardy latest version.
BTW, Alpha 3 CD should get out today or tomorrow at:
http://cdimage.ubuntu.com/releases/hardy/ with some info at:
http://www.ubuntu.com/testing/

--
Gutsy beta hang soon after boot
https://bugs.launchpad.net/bugs/144030
You received this bug notification because you are a direct subscriber
of the bug.

Changed in linux:
status: Unknown → In Progress
Sam Liddicott (sam-liddicott) wrote :

Hardy alpha 3 works for me, no sign of hanging at all, so....

Also the upgrade failed and left me stuck on "waiting for root file
system" so I had to fresh-install and I no longer have gutsy to test.
However I am happy for this to be marked as solved in hardy.

I'll make a similar comment on the lkml.

I have some other kernel problems which I'll post seperately

thanks

Sam

xdevent (jdomenechbborges) wrote :

Ok, so i thing that my problem is a diferent thing instead of kernel. Probably some hard disk problem, or something... I will reinstall hardy at its final vrsion.

I have no inconvenient, if you want, to change the bug state to fix. But i want sam to say if he want or not, because he's whoo reported this bug first.

Sam Liddicott (sam-liddicott) wrote :

xdevent wrote:
> Ok, so i thing that my problem is a diferent thing instead of kernel.
> Probably some hard disk problem, or something... I will reinstall hardy
> at its final vrsion.
>
> I have no inconvenient, if you want, to change the bug state to fix. But
> i want sam to say if he want or not, because he's whoo reported this bug
> first.
>
I'm happy to close the bug.

Paul Dufresne (paulduf) wrote :

Thanks Sam. I am marking this bug as 'Fix released' on linux package, to show that it is not affecting Hardy Alpha 3.
Xdevent, if you open a new bug, it would be cool to leave a small comment in this bug with the number of the newly opened bug.

Changed in linux:
status: Incomplete → Fix Released
Paul Dufresne (paulduf) wrote :

Xdevent, what you said in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/144030/comments/25 that it is a bug in the kernel. But likely a different one than this one.
You may read https://wiki.ubuntu.com/KernelTeamBugPolicies#head-895899d229ab9dbf5d40d51021fb6d497b094995 to help you get the information that would be necessary for a developer to fix the bug, but indeed it is not easy to get at it.

Just a note that I'm cleaning up some of the acpi tasks and closing them. Thanks.

Changed in acpi:
status: New → Invalid
status: New → Invalid

Also closing 2.6.22 task.

Changed in linux-source-2.6.22:
status: Triaged → Won't Fix
Sam Liddicott (sam-liddicott) wrote :

Looks like we have a regression in 2.6.24-12 affecting latest hardy, I think this needs re-opening on 2.6.24-12

My same machine hangs shortly after boot again without sysreq working.
noacpi does not fix things, I'll do some more diagnostics tonight.

Adrian Moya (adrianmoya) wrote :

Hi, I seem to have this problem in my laptop, a Compaq Presario F562LA in ubuntu Hardy 8.04. I'm new to linux, but so far I thought it was the nvidia drivers. Looking for a solution to that I found this thread. I'm using kernel 2.6.24-17-generic and I also get the BIOS BUG #81[49435000].

My computer freezes randomly. If there's anything I could contribute please let me know.

Sorry if my English is not very good...

xdevent (jdomenechbborges) wrote :

@ Adrian: I have another bug already opened for this issue in hardy. See bug #225484.

@Sam Liddicott: Is your problem already fixed about the regresion? Or you have it?

Sam Liddicott (sam-liddicott) wrote :

My regression is not fixed in hardy.

I'll agree with the comment in #225484 that if the mouse pointer moves, it is a different but.
This bug is ACPI related, and ALT-SYSREQ-anything doesn't work.

However I will follow the tips and try the ibex kernel.

Sam

Changed in linux:
status: In Progress → Confirmed
Changed in linux:
status: Confirmed → Incomplete
Changed in linux:
status: Incomplete → Invalid

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.